using System;

namespace ConsoleApp12
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());

            int[] pomocx = new int[50], pomocy = new int[50], resenje = new int[100];
            int brojac = 0;
            while (x > 0)
            {
                pomocx[brojac] = x % 10; x /= 10; brojac++;
            }
            brojac = 0;
            while (y > 0)
            {
                pomocy[brojac] = y % 10; y /= 10; brojac++;
            }
            brojac = 0;
            for (int i =0; i<50; i++)
            {
                if (pomocx[i]<pomocy[i])
                {
                    resenje[brojac++] = pomocy[i];
                }
                if (pomocx[i] > pomocy[i])
                {
                    resenje[brojac++] = pomocx[i];
                }
                if (pomocx[i] == pomocy[i])
                {
                    resenje[brojac++] = pomocx[i];
                    resenje[brojac++] = pomocx[i];
                }

            }
            int konacno = 0;
            for (int i = 0; i < 100; i++)
            {
                konacno = 10 * konacno + resenje[99 - i];
            }
            Console.WriteLine(konacno);
        }
    }
}